<h1 class="title">Services Page</h1>

<div class="container">
    <section class="services-list">
        <mat-card 
            *ngFor="let item of services$ | async; trackBy: trackByServiceContent" 
            class="services-list-item" 
            [routerLink]="['detail', item.id]"
        >
            <mat-card-title>{{item.name}}</mat-card-title>
            <mat-card-content>Start Date: {{item.startDate}}</mat-card-content>
            <mat-card-actions>
                <button mat-button>View</button>
            </mat-card-actions>
        </mat-card>

    </section>
    <section class="actions">
        <button mat-raised-button [routerLink]="['new']">New</button>
    </section>
</div>